Page MenuHomePhabricator

Revive the commons mobile app for android
Closed, ResolvedPublic

Event Timeline

Imaculate claimed this task.
Imaculate raised the priority of this task from to Normal.
Imaculate updated the task description. (Show Details)
Imaculate moved this task to Backlog on the Possible-Tech-Projects board.
Imaculate added a subscriber: Imaculate.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 17 2015, 7:42 PM
Niharika removed Imaculate as the assignee of this task.EditedFeb 17 2015, 7:43 PM
Niharika lowered the priority of this task from Normal to Low.
Niharika set Security to None.
Niharika added a subscriber: Niharika.

@Imaculate, are you a student? If so, you need to discuss the app idea with a possible mentor first and get consensus.

For which platform(s)?

For which platform?
I guess you are aware of https://commons.wikimedia.org/wiki/Commons:Mobile_app and the reasons why the app was discontinued?
Which specific work would you like to get done within the three months of GSoC, apart from "reviving" it (whatever that exactly means)?

Niharika updated the task description. (Show Details)Feb 17 2015, 7:46 PM
Imaculate renamed this task from Revive the commons mobile app. to Revive the commons mobile app for android.Feb 17 2015, 7:56 PM

@Imaculate's initial description, recovered to provide some context to this task:

For GSOC 2015 I would like to work on a new mobile Commons app or fix the bugs in the old one. I will appreciate the communities thoughts on this project.

One big concern was the load of crap people uploaded with the app, like copyvios and selfies. I will only support if this could be avoided.

Qgil added a subscriber: Deskana.EditedFeb 17 2015, 8:58 PM

@Deskana, are there any plans to implement file uploads in the Wikipedia app?

@Deskana, are there any plans to implement file uploads in the Wikipedia app?

It's on the super long term roadmap, but there are no plans for this for the foreseeable future.

@Deskana, so what would the Mobile Apps team prefer?

  1. A volunteer revisiting the defunct Commons app.
  2. A volunteer prototyping file uploads in the Wikipedia app.
  3. None, because... (please explain)

@Deskana, so what would the Mobile Apps team prefer?

  1. A volunteer revisiting the defunct Commons app.
  2. A volunteer prototyping file uploads in the Wikipedia app.
  3. None, because... (please explain)

I'd prefer number 2. But the difficulty with this is that actually that this is a UX challenge, not an engineering challenge. Hooking something up so that someone can pick a photo off their device and upload it is pretty easy. Making it so that the pipeline works for users in the mobile context is really hard. It'd take tons of UX work to actually put this into our app in production.

One big concern was the load of crap people uploaded with the app, like copyvios and selfies. I will only support if this could be avoided.

I agree with @Sjoerddebruin

Admins has spend hours to clean up all the crap uploads and there is still a long backlog.

See https://commons.wikimedia.org/wiki/Commons:Mobile_access/Mobile_upload_needing_check

I will just point out that the crap came from 'mobile web'. Commons app had
deletion rates on par with or lesser than desktop uploads when it was
retired.

Steinsplitter moved this task from Incoming to Uploading on the Commons board.Mar 11 2015, 12:45 PM

This is a message posted to all tasks under "Re-check in September 2015" at Possible-Tech-Projects. Outreachy-Round-11 is around the corner. If you want to propose this task as a featured project idea, we need a clear plan with community support, and two mentors willing to support it.

This is a message sent to all Possible-Tech-Projects. The new round of Wikimedia Individual Engagement Grants is open until 29 Sep. For the first time, technical projects are within scope, thanks to the feedback received at Wikimania 2015, before, and after (T105414). If someone is interested in obtaining funds to push this task, this might be a good way.

Hi,

Is it possible to work on this task or part of it as an Outreachy internship project?

Hi @josephine_l, this task needs community consensus before being proposed for Outreachy-Round-11. If there is agreement on the task, we would still need to find the mentors.

@Qgil, @josephine_l: Volunteers have already forked (?) both the android and the iOS versions and recently published updated versions. See Commons talk:Mobile app#Re-born!. It seems like the android version is looking for volunteers, though: Commons:Mobile app. You may want to get in touch with User:Syced

Qgil closed this task as Resolved.Sep 30 2015, 8:19 PM
Qgil assigned this task to Nicolas_Raoul.
Qgil updated the task description. (Show Details)
Qgil removed a project: Possible-Tech-Projects.

Thank you @Nicolas_Raoul! I have edited the description and resolved the task accordingly.

You say you are looking for volunteers. Feel free to propose new Possible-Tech-Projects for specific features that would take 2-3 weeks to an experienced developer. Right now we are looking for project ideas for Outreachy-Round-11.

Hello, I am the maintainer of https://play.google.com/store/apps/details?id=fr.free.nrw.commons The source code is at https://github.com/nicolas-raoul/apps-android-commons and volunteers are indeed very welcome!

I have been a GSoC mentor twice so I could mentor @josephine_l too.

I am not familiar with Outreachy, is the duration really 3 months, full time? 3 months is more than enough to solve all currents bugs and enhancements. By the way, @josephine_l do you have access to an iOS development environment too?

Or this could be coupled with the development of features that the French Wikimedia project Lingua Libre want. Their goal is to take audio recordings of dialects, they have tons of volunteers and are discussing the creation of an app (or webapp) right now. https://lists.wikimedia.fr/info/lingualibre

Anyone would might be interested in being a second mentor? That could be someone from Lingua Libre if we go this way.

Qgil added a comment.EditedOct 1 2015, 8:09 AM

@Nicolas_Raoul, this task is now complete. If you want to propose new project ideas for Outreachy then you need to reuse or create new tasks for them, following these instructions. Any Wikimedia/MediaWiki related projects are welcome.

And yes, Outreachy is a full-time, 3 month internship like GSoC. See https://www.mediawiki.org/wiki/Outreachy/Round_11

@Nicolas_Raoul I do have a MacBook so I can do iOS development (real device testing might be an issue though as I only have an Android phone). I have never written iOS apps before but am willing to learn.

Outreachy is a 3 months full-time internship (like GSoC except with the goal of promoting diversity), but I read on this page - https://www.mediawiki.org/wiki/Outreach_programs/Lessons_learned that the core tasks should not take up more than 50% of the available time?